 Lvl T - Factory tsts
 --------------------
 Dx   Dsp cert elogs
 Ex   Dsp elog
 Fx,y Set ftr bit x to y (0,1)
 Nx   Set drv age
 Tx   Run tst x
 Yxx  Set drv typ
 #    Enter ser #

 Health bits
 15 -Fat r/w err  12 -Hi r/w err rt
 11 -Skp asgn err 10 -Hrdwr err
  9 -Xecsv skps    8 -Xcesv alts
  7 -Act fail      6 -Spn fail
  5 -Srv dat fail  4 -Xfer rt warn
  1 -Spn warn      0 -Srv warn

 More /2 cmds
 ------------
 Ax,y  Set tst spc = x
  b0 all heads   b3 unused       b6 seq out
  b1 all cyls    b4 even cyls    b7 random data
  b2 rnd cyl,hd  b5 odd cyls
  x=8 -> y=min cyl  x=9 -> y=max cyl
  x=A -> y=max hd   x=D -> set default

 Yrr,xx,yyzz   Set retry options = r
  b0 hdr rty      b3 srv rcvry    b6 boost,filtr
  b1 OTF enable   b4 offtrk rd    b7 splash enab
  b2 2 brst ECC   b5 window,thld
  x=rd rty  y=hdr rty  z=wrt rty

 P    Fil buf 2 with rnd dat
 cx,y Create y data errs, sctr x
 fx   Frmt unrdable hdr
 rx   Rd lng sctr x to buf 0
 wx   Wrt lng sctr x from buf 0
 yx   Wrt bad dat field sync byte
 gx   Rd adp parm x
 px,y Wr adp parm x with dat y

 Error codes
 10-Drv not rdy
 11-Drv busy
 12-Wrt gat blkd before rd op
 13-Wrt gat blkd before wrt op
 14-Wrt flt active durng wrt
 16-TO on sk cmplt
 17-Wrt gate blkd after wrt op
 18-Srv offtrk lvl 1 (bad)
 19-Srv offtrk lvl 2 (worse)
 1A-Drv not rdy on zap scan
 1C-Srv brst zapped
 1E-Unable to zap srv brst
 21-Disk ptr=0 during rd op
 23-Disk ptr=0 during wrt op
 24-Srv brst zapped
 25-Multi brsts on trk zaped
 26-2 adj brsts on trk zaped
 30-Dat cmpr err (offset)
 35-Invalid target sctr
 36-Bad blk flg set in hdr
 39-Incorrect header data
 40-CRC err on hdr rd op
 41-Incrct ctlr stat on r-w op (reg 79)
 42-Msng sctr mrk on r-w op (01=wrt)
 43-ECC err on data fld rd op (reg 79)
 46-Incorrect greycode
 47-No sync byte fnd on hdr rd op
 48-Incorrect disk ptr (rd op)
 50-Sctr skipped
 51-Sctr altd
 55-Rd or wrt past end of pack
 57-Unable to wrt mrgn tst
 60-Unable to fnd sctr for alt asgn
 62-Unable to save data on alt asgn
 92-Unable to zap servo burst
 97-Invld cyl or hd in sk arg
 98-Niwot not idle at strt of rw op
 99-TO on read op
 9A-TO on write op

 Lvl 1 - Intf mem cmnds
 ----------------------
 Ax     Set stck adr
 Bx     Set brk pt
 C      Cnt aftr brk
 Dx     Dsp mem adr x
 Fx,y   Find dta x, strt=y
 Gx     xct adr
 H      Hdwr tst
 I      Reload ctlr map
 Jx,y   Drv cmnd x (see ?B)
 K      Drv uP intf tst
 Mx,y,z Mov mem x-y to z
 Px,y   Find dta x in buf
 Sx     Dsp/mod mem
 T      Dta bfr tst
 Ux     Dsp/mod bfr
 Wx     Wrt mem loc
 Xx     Set XREG adr
 Z      Disbl intrpts

 Level 1 J cmnds
 ---------------
 J0,x Tst I/O cmd
 J14  Dsp last log hd, R.FLAG

 Srv frmls
 ---------
 BURST = 64*256/((A+B)-(C+D)) ontrack
 TF.GAIN = GAIN * BURST * 2
 TF.THLD = (THLD*64*256/25)/(BURST*2)

 Diag buf usage
 Buf 0-1 Rd buf
 Buf 2   Wrt buf
 Buf 4-7 Elog
 Buf 8-B Dsp log
 Buf C-F Asc log
 Buf 10-7F unused

 PB,4   Hi f pat 1/7
 P3,4   Lo f pat 1/7
 P11B,C Tri-bit pat 1/7

 Onln action codes
 -----------------
 a Alternate processed
 b No buf space on wrt
 e Data corr 2 brst
 f Hdr moved in frmt
 h Hdr rtry on rd
 i Niwot frcd idle
 j Hdr rtry on wrt
 m Map reload rd
 n Map reload wrt
 p Map reload hdr rd
 s Servo rty (wr-rd)
 S Seek retry (wr-rd)
 u Unscssful 2 brst corr
 w Wrt rtry op
 . Rd rtry op

 Lvl 5 - Drv mem cmnds
 ---------------------
 Ax    Set stack adr cmd
 Bx    Set brk pt
 C     Cnt aftr brk
 Dx    Dsp mem
 E     Erase EE
 Fx,y  Fnd dat x
 Gx    xct adr
 Hx    Slct hd x
 I     Hrdwr tst
 Kx    Chg clk spd (1=slow)
 M     Mov rom to ram
 Px,yy Pgm EE adr x
 Sx    Dsp/mod mem
 Vx,y  Dsp schd
 Wx    Wrt mem loc
 Xx    Set XREG adr
 Yx    Dsp gycd, cyl x
 i     Init adaptv EE
 yx    Dsp cyl, gycd x
 Z     Disable intrpts

 Lvl 6 - Batch file cmnds
 ------------------------
 Bxx    Run batch file xx     Dxx    Display file xx
 Ex     Enter btch file 8,9   @x     Btch file label
 *1     Batch file pause      *6     Stop on err
 *2,xxx Btch file dly x ms    *7,xxx Set btch loop ct
 *3,x   Branch label x        *8,x   Dec btch loop, goto lbl x
 *4,x   Incrmt hd, brnch x    *9     Stop on no err
 |x     End btch entry, set file #

 B2   Stats dsp      B4   Trkg analysis
 B7   Hd swt dsp     B6   SRS btch file
 B8-9 User batch     B31  1 burst corr
 B32  2 brst corr    B33  3 brst corr
 B34  1 brst 4 sct   B35  Altn asgn tst
 B36  2 brst 1 brst  B37  Frmt bad tst
 B38  Data cmpr tst  B39  ECC test
 B40,41 Set drive type - start cert

 Lvl 7 - Rd-wrt buf cmpr
 -----------------------
 Axx,y  Set tst space (see ?D)
 Bxx    Dsp buf xx
 Cx,y,z Cmpr buf, y blks at x to z
 K      Dsp stats
 Mx,y,z Mov buf, y blks at x to z
 Px,y,z Data x(3 bytes), lngth y(bits), buf z
 Qx,y,z Wrt-rd cmpr y blks at sctr x, wbuf = z
 Rx,y,z Rd y blks at sctr x into buf z
 Sccc,h Sk to cyl,hd
 Vx,y,z Rd y sctrs, strt sctr x, cmpr to buf z
 Wx,y,z Wrt y blks at sctr x from buf z
 X      Fill buf 10-7F with rndm data
 Yx,y,z Set/dsp rtry cntrl

 Online cmnds
 ------------
 ctl D  Tgl actn code dsp
 ctl F  Sgmnt stat
 ctl G  Intf stat
 ctl P  Tgl pwr cyc
 ctl Q  Frgrnd resume
 ctl R  Drv micro soft rst, Niwot stp
 ctl S  Frgrnd pause
 ctl T  Restrt dflt pgm
 ctl V  Tgl intf dsp
 ctl X  Dsp dat at X reg
 ctl Z  Exit to DIAMON
 < or > Dec or inc rw idx sctr
 { or } Dec or inc srv idx sctr
 `      Stats dsp
 '      Xfer stat
 ~      Intf stat
 .      Online stat
 ;      Mach stat

 Gen use cmnds
 -------------
 /x   Chg lvls, x = 1-8,T
 Lx,y Lp nxt cmd (x=1 cnt on err)
 =x,y Wrt dta y to mem adr x
 +x   Dsp cntnts of mem adr x
 \    Qck call btch


